cmake_minimum_required(VERSION 3.10)
project(ipdemo)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Static build settings
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static")

include_directories(/usr/local/include)

add_executable(ipdemo main.cpp)
target_link_libraries(ipdemo pthread assert cpptrace dwarf z zstd) 
